#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 31. KDE Frameworks 6 Based Applications

- Prev

  gwenview-24.12.2

- Next

  k3b-24.12.2

- Up
- Home

# libkcddb-24.12.2

## Introduction to libkcddb

The libkcddb package contains a library used to retrieve audio CD meta data from the internet.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://download.kde.org/stable/release-service/24.12.2/src/libkcddb-24.12.2.tar.xz

- Download MD5 sum: f54179c1a5a3deeda54dc6d76f3e7d3b

- Download size: 440 KB

- Estimated disk space required: 11 MB

- Estimated build time: 0.3 SBU

### libkcddb Dependencies

#### Required

KDE Frameworks-6.11.0

#### Recommended

libmusicbrainz-5.1.0

## Installation of libkcddb

Install libkcddb by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=$KF6_PREFIX \
          -D CMAKE_BUILD_TYPE=Release         \
          -D BUILD_TESTING=OFF                \
          -D QT_MAJOR_VERSION=6               \
          -W no-dev ..                        &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: None
Installed Libraries: libKCddb6.so
Installed Directories: $KF6_PREFIX/include/KCddb6 $KF6_PREFIX/lib/cmake/KCddb6 $KF6_PREFIX/share/doc/HTML/*/kcontrol

### Short Descriptions

`libKCddb6.so` | contains functions used to retrieve audio CD meta data from the internet

- Prev

  gwenview-24.12.2

- Next

  k3b-24.12.2

- Up
- Home